import React, { Component } from 'react';
import PropTypes from 'prop-types';

import Table from './Table';
import '../.././datagrid.css';

/*
* The DataGridSection component for the grid which will render - Table .
 * @type {class}
 * */

class DataGridSection extends Component {
  render() {
    const style = this.props.styles ? this.props.styles.gridWrapper : null;
    return (
      <div className="data-grid" style={style}>
        <div className="content" style={style}>
          <Table
            data={this.props.data}
            metaData={this.props.metaData}
            styles={this.props.styles}
            gridState={this.props.gridState}
          />
        </div>
      </div>
    );
  }
}
DataGridSection.propTypes = {
  data: PropTypes.array,
  metaData: PropTypes.object,
  styles: PropTypes.object,
  gridState: PropTypes.object,
};
DataGridSection.defaultProps = {
  data: [],
  metaData: {},
  styles: {},
  gridState: {},
};
export default DataGridSection;
